Package org.apache.tools.ant.taskdefs.optional.xz

# Class Unxz

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.Unpack
org.apache.tools.ant.taskdefs.optional.xz.Unxz

All Implemented Interfaces:
  `Cloneable`

public class Unxz extends Unpack
Expands a file that has been compressed with the XZ algorithm. Normally used to compress non-compressed archives such as TAR files.

Since:
  Ant 1.10.1

## Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.Unpack

`dest, source, srcResource`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`Unxz()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`extract()`
Implement the gunzipping.
`protected String`
`getDefaultExtension()`
Get the default extension.
`protected boolean`
`supportsNonFileResources()`
Whether this task can deal with non-file resources.

### Methods inherited from class org.apache.tools.ant.taskdefs.Unpack

`addConfigured, execute, setDest, setDest, setSrc, setSrc, setSrcResource`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Unxz

public Unxz()

## Method Details

### getDefaultExtension

protected String getDefaultExtension()
Get the default extension.

Specified by:
  `getDefaultExtension` in class `Unpack`
Returns:
  the value ".xz"

### extract

protected void extract()
Implement the gunzipping.

Specified by:
  `extract` in class `Unpack`

### supportsNonFileResources

protected boolean supportsNonFileResources()
Whether this task can deal with non-file resources.

This implementation returns true only.

Overrides:
  `supportsNonFileResources` in class `Unpack`
Returns:
  true